<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@mipmap/icon_bgm"
    tools:context=".ui.login.FacialCardActivity">

    <RelativeLayout
        android:id="@+id/rel1"
        android:layout_width="match_parent"
        android:layout_height="45dp"
        android:layout_marginTop="10dp">

        <ImageView
            android:id="@+id/image"
            android:layout_width="30dp"
            android:layout_height="30dp"
            android:layout_centerVertical="true"
            android:layout_marginLeft="20dp" />

        <TextView
            android:id="@+id/deptName"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_centerVertical="true"
            android:layout_marginLeft="10dp"
            android:layout_toRightOf="@+id/image"
            android:textColor="@color/white"
            android:textSize="22sp" />

        <RelativeLayout
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_centerInParent="true"
            android:layout_centerVertical="true"
            android:layout_marginTop="2dp">

            <TextView
                android:id="@+id/tvTitle"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_centerHorizontal="true"
                android:layout_centerVertical="true"
                android:text="化学品智能管理"
                android:textColor="@color/white"
                android:textSize="24sp"
                android:textStyle="bold" />

            <TextView
                android:id="@+id/nowTime"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginLeft="15dp"
                android:layout_marginTop="10dp"
                android:layout_toRightOf="@+id/tvTitle"

                android:textColor="@color/white" />

        </RelativeLayout>

    </RelativeLayout>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_below="@+id/rel1"
        android:layout_marginLeft="31dp"
        android:layout_marginTop="30dp"
        android:layout_marginRight="31dp"
        android:layout_marginBottom="89dp"
        android:background="@drawable/bg_bei_jing"
        android:orientation="vertical">

        <TextView
            android:id="@+id/tvOen"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center"
            android:layout_marginTop="18dp"
            android:text="身 份 认 证"
            android:textColor="@color/white"
            android:textSize="17sp" />

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_below="@+id/tvOen"
            android:layout_marginLeft="18dp"
            android:layout_marginTop="16dp"
            android:layout_marginRight="18dp"
            android:layout_marginBottom="15dp"
            android:orientation="horizontal">

            <RelativeLayout
                android:layout_width="428dp"
                android:layout_height="match_parent"
                android:layout_marginRight="10dp"
                android:layout_weight="1"
                android:orientation="vertical">

                <LinearLayout
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:orientation="vertical">

                    <RelativeLayout
                        android:layout_width="match_parent"
                        android:layout_height="34dp"
                        android:background="@drawable/bg_ren_lian">

                        <ImageView
                            android:id="@+id/imgB"
                            android:layout_width="30dp"
                            android:layout_height="30dp"
                            android:layout_centerVertical="true"
                            android:layout_marginLeft="10dp"
                            android:background="@mipmap/icon_smrz_sfrz" />

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_centerVertical="true"
                            android:layout_marginLeft="10dp"
                            android:layout_toRightOf="@+id/imgB"
                            android:text="校 园 卡 验 证"
                            android:textColor="@color/white"
                            android:textSize="15sp" />
                    </RelativeLayout>

                    <RelativeLayout
                        android:layout_width="match_parent"
                        android:layout_height="252dp"
                        android:background="@drawable/bg_face_nt">

                        <ImageView
                            android:layout_width="wrap_content"
                            android:layout_height="200dp"
                            android:layout_centerInParent="true"
                            android:layout_centerVertical="true"
                            android:layout_marginLeft="35dp"
                            android:layout_marginTop="10dp"
                            android:background="@mipmap/img_sfrz_sksyt" />

                    </RelativeLayout>

                    <RelativeLayout
                        android:id="@+id/radio"
                        android:layout_width="match_parent"
                        android:layout_height="50dp"
                        android:layout_marginTop="15dp"
                        android:background="@mipmap/icon_rlrz_xx">

                        <ImageView
                            android:id="@+id/imgLetA"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_centerVertical="true"
                            android:layout_marginLeft="6dp"
                            android:background="@mipmap/icon_sfsb_tx" />

                        <LinearLayout
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_centerVertical="true"
                            android:layout_marginLeft="10dp"
                            android:layout_toRightOf="@+id/imgLetA"
                            android:orientation="vertical">

                            <TextView
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:text="请在刷卡区域进行刷卡验证"
                                android:textColor="@color/black" />

                        </LinearLayout>
                    </RelativeLayout>

                    <RelativeLayout
                        android:id="@+id/rlResult"
                        android:layout_width="match_parent"
                        android:layout_height="50dp"
                        android:layout_marginTop="15dp"
                        android:background="@mipmap/icon_rlrz_xx"
                        android:gravity="center"
                        android:visibility="gone">

                        <ImageView
                            android:id="@+id/imgf"
                            android:layout_width="18dp"
                            android:layout_height="18dp"
                            android:layout_centerVertical="true"
                            android:layout_marginLeft="6dp"
                            android:background="@mipmap/icon_sy_zq" />

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_centerVertical="true"
                            android:layout_marginLeft="14dp"
                            android:layout_toRightOf="@+id/imgf"
                            android:text="验证通过"
                            android:textColor="@color/purple_FF16BC3D"
                            android:textSize="12sp" />
                    </RelativeLayout>
                </LinearLayout>

            </RelativeLayout>

            <LinearLayout
                android:layout_width="428dp"
                android:layout_height="wrap_content"
                android:layout_below="@+id/rel1"
                android:layout_centerInParent="true"
                android:layout_marginLeft="10dp"
                android:layout_weight="1"
                android:orientation="vertical">

                <RelativeLayout
                    android:layout_width="match_parent"
                    android:layout_height="45dp"
                    android:background="@drawable/bg_ren_lian">

                    <ImageView
                        android:id="@+id/imgA"
                        android:layout_width="30dp"
                        android:layout_height="30dp"
                        android:layout_centerVertical="true"
                        android:layout_marginLeft="10dp"
                        android:background="@mipmap/icon_smrz_sfrz" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_centerVertical="true"
                        android:layout_marginLeft="10dp"
                        android:layout_toRightOf="@+id/imgA"
                        android:text="人 脸 识 别 验 证"
                        android:textColor="@color/white"
                        android:textSize="15sp" />
                </RelativeLayout>

                <RelativeLayout
                    android:layout_width="match_parent"
                    android:layout_height="240dp"
                    android:background="@drawable/bg_face_nt">

                    <io.fotoapparat.facedetector.view.CameraOverlayLayout
                        android:layout_width="match_parent"
                        android:layout_height="match_parent">

                        <io.fotoapparat.view.CameraView
                            android:id="@+id/camera_view"
                            android:layout_width="match_parent"
                            android:layout_height="match_parent" />

                        <io.fotoapparat.facedetector.view.RectanglesView
                            android:id="@+id/rectanglesView"
                            android:layout_width="match_parent"
                            android:layout_height="match_parent"
                            app:rectanglesColor="#FF4081"
                            app:rectanglesStrokeWidth="2dp" />

                    </io.fotoapparat.facedetector.view.CameraOverlayLayout>

                    <ImageView
                        android:id="@+id/imgFace"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:background="@mipmap/icon_face_two" />

                </RelativeLayout>

                <RelativeLayout
                    android:layout_width="match_parent"
                    android:layout_height="50dp"
                    android:layout_marginTop="15dp"
                    android:background="@mipmap/icon_rlrz_xx">

                    <ImageView
                        android:id="@+id/imgLetB"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_centerVertical="true"
                        android:layout_marginLeft="6dp"
                        android:background="@mipmap/icon_sfsb_tx" />

                    <LinearLayout
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_centerVertical="true"
                        android:layout_marginLeft="10dp"
                        android:layout_toRightOf="@+id/imgLetB"
                        android:orientation="vertical">

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="请正对屏幕并使脸位于取景框内"
                            android:textColor="@color/black"
                            android:textSize="12sp" />

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="请保持光线充足，避免光照过强或过弱"
                            android:textColor="@color/black"
                            android:textSize="12sp" />
                    </LinearLayout>
                </RelativeLayout>

                <Button
                    android:id="@+id/butAgain"
                    android:layout_width="wrap_content"
                    android:layout_height="40dp"
                    android:layout_gravity="center"
                    android:layout_marginTop="16dp"
                    android:background="@drawable/bg_sou_suo"
                    android:text="重新验证"
                    android:textColor="@color/white"
                    android:visibility="gone" />

            </LinearLayout>


        </LinearLayout>

    </LinearLayout>


    <Button
        android:id="@+id/tvReturn"
        android:layout_width="85dp"
        android:layout_height="30dp"
        android:layout_alignParentBottom="true"
        android:layout_marginBottom="20dp"
        android:background="@drawable/bg_retrun"
        android:text="返回180s"
        android:textColor="@color/white"
        android:textSize="12sp" />

</RelativeLayout>